<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    {{ pimcore_checkbox('myCheckbox1') }}
    <h1>{{ pimcore_input("headline").render()|raw }}</h1>

    {% for i in pimcore_block('contentblock').iterator %}
         <h2>{{ pimcore_input('subline') }}</h2>
        {{ pimcore_wysiwyg('content') }}
    {% endfor %}

    <div>
        <label>Date:&nbsp;</label>
        {{ pimcore_date('myDate', {
            'format': 'd.m.Y',
            'outputFormat': '%d.%m.%Y'
            })
        }}
    </div>

    <br>

    Setting XYZ: {{ pimcore_checkbox('myCheckbox') }}

    {% if pimcore_checkbox('myCheckbox').isChecked() %}
        <div>
            {{ dump('do something') }}
        </div>
    {% endif %}

    {{ pimcore_relation("myRelation",{
        "types": ["asset","object"],
        "subtypes": {
            "asset": ["video", "image"],
            "object": ["object"],
        },
        "classes": ["Product"]
    }) }}
    
<div>
    {% if editmode %}
    {{ pimcore_select("valid_for", {
        "store": [
            ["one-month", "One month"],
            ["three-months", "Three months"],
            ["unlimited", "Unlimited"]
        ],
            "defaultValue" : "unlimited"
        }) }}
    {% else %}
        <p>
            {{ "Something is valid for" | trans }}:{{ pimcore_select("valid_for").getData() | trans  }}
        </p>
    {% endif %}
</div>
{{ pimcore_image("myImage", {
    "title": "Drag your image here",
    "width": 200,
    "height": 200,
    "thumbnail": "crop"
}) }}
<div>
    {% if editmode %}
        {{ pimcore_relation("myRelation1") }}
    {% else %}
        {% if pimcore_relation("myRelation1").getElement() is instanceof('\\Pimcore\\Model\\Asset')  %}
            <a href="{{ pimcore_relation("myRelation1").getFullPath() }}">{{ "Download" | trans }}</a>
        {% endif %}
    {% endif %}
</div>
<p>{{ "Types of elements" | trans }}:</p>
{% if editmode %}
    {{ pimcore_relations("objectPaths") }}
{% else %}
<ul>
    {% for element in pimcore_relations("objectPaths", { "classes": ["About"] }) %}
        <li>{{ element.getIcon().getFileName() }}</li>
    {% endfor %}
</ul>
{% endif %}
    {{ pimcore_video('campaignVideo')}}
</body>
</html>